extends Scene


func _on_forest_grove_interacted() -> void:
	$kq4_005_forest_grove.default_script(self)


func _on_forest_path_interacted() -> void:
	$kq4_010_forest_path.default_script(self)


func _on_haunted_forest_interacted() -> void:
	$kq4_012_haunted_forest.default_script(self)


func _on_spooky_house_exterior_interacted() -> void:
	$kq4_017_spooky_house_exterior.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("This place gives you the willies! The trees around here are very strange; almost human-like. A dense forest surrounds this odd grove of trees.")
	).build(self, "_on_script_complete"))


func _on_tree_left_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("This gnarled tree has an almost human-like appearance. Its twisted branches seem to reach toward you...")
	).build(self, "_on_script_complete"))
